/// <reference types="react" />
declare type AnnotationShapeList = 'circle' | 'triangle' | 'line' | 'none';
export interface ArrowProps {
    x1: number | string;
    y1: number | string;
    x2: number | string;
    y2: number | string;
    startPoint?: AnnotationShapeList;
    endPoint?: AnnotationShapeList;
}
export default function Arrow(props: ArrowProps): JSX.Element;
export {};
