import { jsx as _jsx } from "react/jsx-runtime";
import { usePositionAndSize } from '../../hooks';
export default function Rectangle(props) {
    const { x: oldX, y: oldY, width: oldWidth, height: oldHeight, ...otherProps } = props;
    const { x, y, width, height } = usePositionAndSize({
        x: oldX,
        y: oldY,
        width: oldWidth,
        height: oldHeight,
    });
    return _jsx("rect", Object.assign({ x: x, y: y, width: width, height: height }, otherProps), void 0);
}
//# sourceMappingURL=Rectangle.js.map